# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/7/13
import datetime
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.recommend_list import Recommend


class Main:
    @classmethod
    def main(cls):
        while True:
            while True:
                main_time = datetime.datetime.now()
                if 18 >= main_time.hour >= 6:
                    # 抓取视频
                    Common.logger("recommend").info("开始抓取音乐相册小程序推荐榜\n")
                    Recommend.get_video_list("recommend")
                    # 下载/上传
                    Common.logger("recommend").info("开始下载/上传音乐相册小程序推荐榜\n")
                    Recommend.run_download_publish("recommend", "prod")
                    # 清除日志
                    Common.logger("recommend").info("开始清除日志")
                    Common.del_logs("recommend")
                    # 休眠
                    Common.logger("recommend").info("休眠 60 分钟\n")
                    time.sleep(3600)
                    break
                else:
                    break


if __name__ == "__main__":
    main = Main()
    main.main()
